import {
	httpGet,
	httpPost
} from "@/utils/request.js"

// 新增申请
export const apiAddApply=params=>{
    return httpPost('/business_trip/apply/add',params)
}

//申请列表
export const apiApplyList=params=>{
    return httpGet('/business_trip/apply/list',params)
}

//出差详情
export const apiBusinessTripDetail=params=>{
    return httpGet('/business_trip/apply/detail',params)
}

//出差申请撤回
export const apiBusinessTripRecall=params=>{
    return httpPost('/business_trip/apply/back',params)
}

//出差重新申请
export const apiEditApply=params=>{
    return httpPost('/business_trip/apply/edit',params)
}

//出差审批单审批
export const apiBusinessApplyApprove=params=>{
    return httpPost('/business_trip/apply/approve',params)
}

//审批列表
export const apiApproveList=params=>{
    return httpGet('/business_trip/approve/list',params)
}

// 删除审批单
export const apiDelApply=params=>{
    return httpPost('/business_trip/apply/delete',params)
}

//关闭审批
export const apiCloseApply=params=>{
    return httpPost('/business_trip/apply/close',params)
}